Subject: Re: [bitcoin-dev] [Bitcoin Advent Calendar] Derivatives and Options

From: [email-masked]
Date: Sun, 26 Dec 2021 21:49:30 +0100

Prayank,

I believe the p2pderivatives DLC application is still under active 
development here (single oracle):
https://github.com/p2pderivatives/rust-dlc

I was once involved in the project in a galaxy far far away but haven't 
kept up with the project.  Also, I'm a few days behind in the Bitcoin 
Advent Calendar :)

Cheers,
-Yancy

On 2021-12-24 17:42, Prayank via bitcoin-dev wrote:
> Hi Jeremy,
> 
>> Wheres the info come from? Well, multiple places. We could get it
> from a third party (maybe using an attestation chain of some sort?),
> or there are certain ways it could be self-referential (like for
> powswap [1]).
> 
>> Now let’s define a threshold oracle – we wouldn’t want to
> trust just one lousy oracle, so let’s trust M out of N of them!
> 
> Similar approach is used in discreet log contracts for multi oracles.
> There is even a project for P2P derivatives but it was not used for
> any real trades on mainnet or further developed. What difference would
> OP_CTV make in this project if its implemented in Bitcoin?
> 
> https://github.com/p2pderivatives/p2pderivatives-client
> 
> https://github.com/p2pderivatives/p2pderivatives-server
> 
> https://github.com/p2pderivatives/p2pderivatives-oracle
> 
>> Does this NEED CTV?
> 
> No, not in particular. Most of this stuff could be done with online
> signer server federation between you and counterparty. CTV makes some
> stuff nicer though, and opens up new possibilities for opening these
> contracts unilaterally.
> 
> Nicer? How would unilateral derivatives work because my understanding
> was that you always need a peer to take the other side of the trade. I
> wish we could discuss this topic in a trading community with some
> Bitcoiners that even had some programming knowledge.
> 
> Derivatives are interesting and less explored or used in Bitcoin
> projects. They could be useful in solving lot of problems.
> 
> --
> 
> Prayank
> 
> A3B1 E430 2298 178F
> 
> 
> Links:
> ------
> [1] https://powswap.com
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev